#!/usr/bin/env node

'use strict';


// TODO: Get the sound working tomorrow, preferably with howler but look for other options as well.

var ui = require('./ui.js'),
    figlet = require('figlet');

var args = process.argv.slice(2);

var whatKind = args[0];
var hour = 0,
    min = 0,
    sec = 0;

if(whatKind == '-timer') {
    hour = parseInt(args[1]);
    min = parseInt(args[2]);
    sec = parseInt(args[3]);
}

//Updates the text and the time
function update() {
    if(whatKind == '-timer' || whatKind == '-tidsur') {
        updateTime();
        figlet.text(hour + ':' + min + ':' + sec, {type: 'fitted'}, (err, data) => {
            if(err) {
                console.log(err);
                return;
            }

            ui.box.setContent(data);
            ui.screen.render();
        });
    }else if(whatKind == '-clock' || whatKind == '-klokke') {
        var date = new Date(),
            time = date.getHours() + ':' + date.getMinutes() + ':' + date.getSeconds();

        figlet.text(time, {type: 'fitted'}, (err, data) => {
            if(err) {
                console.log(err);
                return;
            }

            ui.box.setContent(data);
            ui.screen.render();
        });
    }
}

//Monitors the time that the user specified
function updateTime() {
    if(sec > 0)
        sec--;
    else {
        sec = 59;
        min--;
    }

    if(min < 0) {
        min = 59;
        hour--;
    }

    if(hour <= 0 && min <= 0 && sec <= 0)
        return process.exit(0); //Will be implementing sound that plays when time is up soon!
}

setInterval(update, 1000);
